メインコンテンツへスキップ
GET
/
2
/
compliance
/
jobs
/
{id}
ID でコンプライアンス ジョブを取得
curl --request GET \
  --url https://api.x.com/2/compliance/jobs/{id} \
  --header 'Authorization: Bearer <token>'
{
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

id
string
必須

取得対象の Compliance Job の id。 コンプライアンスジョブの id。

Pattern: ^[0-9]{1,19}$
:

"1372966999991541762"

クエリパラメータ

compliance_job.fields
enum<string>[]

返す ComplianceJob フィールドをカンマ区切りで指定します。 ComplianceJob オブジェクトで使用可能なフィールド。

Minimum array length: 1
利用可能なオプション:
created_at,
download_expires_at,
download_url,
id,
name,
resumable,
status,
type,
upload_expires_at,
upload_url
:
[
"created_at",
"download_expires_at",
"download_url",
"id",
"name",
"resumable",
"status",
"type",
"upload_expires_at",
"upload_url"
]

レスポンス

リクエストは正常に完了しました。

data
object
errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) で定義された HTTP Problem Details オブジェクト。